Cancel coupon reservation
POST
/api/v2.0/stores/{storeId}/members/{memberId}/coupons/{couponCode}/cancel-reservation
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/coupons/WELCOME15/cancel-reservation"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"external_transaction_id\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/coupons/WELCOME15/cancel-reservation"
payload := strings.NewReader("{ \"external_transaction_id\": \"example\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"external_transaction_id\": \"example\" }");Request request = new Request.Builder() .url("https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/coupons/WELCOME15/cancel-reservation") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/coupons/WELCOME15/cancel-reservation', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, data: {external_transaction_id: 'example'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/coupons/WELCOME15/cancel-reservation';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"external_transaction_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/coupons/WELCOME15/cancel-reservation \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "external_transaction_id": "example" }'This endpoint should be called when a transaction is completed or cancelled to release the coupon reservation and avoid making it unavailable for other transactions.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”storeId
required
string
Example
your-store-idmemberId
required
string
Example
m_nsr714RRBEHXcouponCode
required
string
Example
WELCOME15Request Body
Section titled “Request Body”object
external_transaction_id
string
Examplegenerated
{ "external_transaction_id": "example"}object
external_transaction_id
string
Examplegenerated
{ "external_transaction_id": "example"}object
external_transaction_id
string
Examplegenerated
{ "external_transaction_id": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
is_ok
boolean
details
string
Examplegenerated
{ "is_ok": true, "details": "example"}Bad Request
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}